aboutsummaryrefslogtreecommitdiffhomepage
path: root/ruby/travis-test.sh
diff options
context:
space:
mode:
authorGravatar Chris Fallin <cfallin@google.com>2015-05-13 14:58:48 -0700
committerGravatar Chris Fallin <cfallin@google.com>2015-05-13 14:58:48 -0700
commiteb37551ae4fbb491f7670bf4175cb43bbc649fe0 (patch)
tree87a1d982445a86526e0a1903b156ddaaeeba790a /ruby/travis-test.sh
parent23bb79d4a32a77e8349d6c49052be1e56a8b8153 (diff)
Added Ruby to Travis testing.
- Added RVM-based Ruby test driver that tests MRI and JRuby. - Fixed JRuby compilation (at least in my current setup): force source version to 1.6 (Java 6) to allow generics and annotations. - Modify the skipped JRuby JSON tests so that the exit code is 0 (skip() results in a failing exit code from `rake test`). An upcoming PR should fix JSON under JRuby in general soon.
Diffstat (limited to 'ruby/travis-test.sh')
-rwxr-xr-xruby/travis-test.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/ruby/travis-test.sh b/ruby/travis-test.sh
new file mode 100755
index 00000000..2ccb490a
--- /dev/null
+++ b/ruby/travis-test.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+# Exit on any error.
+set -e
+
+test_version() {
+ version=$1
+ bash --login -c \
+ "rvm install $version && rvm use $version && \
+ which ruby && \
+ gem install bundler && bundle && \
+ rake test"
+}
+
+test_version ruby-1.9
+test_version ruby-2.0
+test_version ruby-2.1
+test_version ruby-2.2
+test_version jruby